using MetlaDb;
using Moq;
using Xunit;

namespace MetlaDbTests
{
    public class MetlaDbTest
    {
        [Fact]
        public void FoolingUsersCorrectly()
        {
            //arrange
            var expectedResult = 74;

            var mock = new Mock<IBroomService>();
            mock.Setup(b => b.GetRealStock())
                .Returns(4);

            var facade = new BroomFacade(mock.Object);

            //act
            var actualResult = facade.FoolUserWithStock();

            //assert
            Assert.Equal(expectedResult, actualResult);
        }
    }
}
